echo off
if not exist chkmach.* goto :err1
chkmach
if errorlevel 1 goto EXIT
if not exist addboot.* goto :err2
addboot > nul:
if not exist hdmgr.* goto :err3
if not exist boot.cmd goto :err3a
hdmgr < boot.cmd > nul:
if not exist mount.* goto :err4
mount d:\1\boot\boot code > nul:
if not exist diskcopy.* goto :err5
diskcopy/h a: d:/1/8 < boot.cmd > nul:
mount d:
goto :exit
:err1
echo **** file CHKMACH is missing ****
goto :generr
:err2
echo **** file ADDBOOT is missing ****
goto :generr
:err3
echo **** file HDMGR is missing ****
goto :generr
:err3a
echo **** file BOOT.CMD is missing ****
goto :generr
:err4
echo **** file MOUNT is missing ****
goto :generr
:err5
echo **** file DISKCOPY is missing ****
goto :generr
:generr
echo **** make sure that you have copied all of the required files ****
:EXIT 
